OpenapiO11y
Returns trigger and resolution statistics for a rule over the selected time…
Returns trigger and resolution statistics for a rule over the selected time range, current window against the prior one.
GET /v1/o11y/rules/{id}/history/stats
| Address | https://api.hanzo.ai/v1/o11y/rules/{id}/history/stats |
| Method | GET |
| Operation | GetRuleHistoryStats |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Returns trigger and resolution statistics for a rule over the selected time range, current window against the prior one. Viewer gate.
Request
3 fields.
| Field | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | |
start | query | integer | — | Start is the window start, unix milliseconds. |
end | query | integer | — | End is the window end, unix milliseconds. |
Response
| Status | Body | Meaning |
|---|---|---|
200 | o11y.O11yRuleHistoryStatsOut | ok |
200 body — 50 fields.
| Field | In | Type | Always | Description |
|---|---|---|---|---|
data | body | o11y.GettableRuleStateHistoryStats | — | |
data.currentAvgResolutionTime | body | number | — | |
data.currentAvgResolutionTimeSeries | body | o11y.TimeSeries | — | |
data.currentAvgResolutionTimeSeries.labels | body | o11y.Label[] | — | |
data.currentAvgResolutionTimeSeries.labels[].key | body | o11y.TelemetryFieldKey | — | |
data.currentAvgResolutionTimeSeries.labels[].key.description | body | string | — | |
data.currentAvgResolutionTimeSeries.labels[].key.fieldContext | body | any | — | |
data.currentAvgResolutionTimeSeries.labels[].key.fieldDataType | body | any | — | |
data.currentAvgResolutionTimeSeries.labels[].key.name | body | string | yes | |
data.currentAvgResolutionTimeSeries.labels[].key.signal | body | any | — | |
data.currentAvgResolutionTimeSeries.labels[].key.unit | body | string | — | |
data.currentAvgResolutionTimeSeries.labels[].value | body | object | — | |
data.currentAvgResolutionTimeSeries.values | body | any[] | — | |
data.currentTriggersSeries | body | o11y.TimeSeries | — | |
data.currentTriggersSeries.labels | body | o11y.Label[] | — | |
data.currentTriggersSeries.labels[].key | body | o11y.TelemetryFieldKey | — | |
data.currentTriggersSeries.labels[].key.description | body | string | — | |
data.currentTriggersSeries.labels[].key.fieldContext | body | any | — | |
data.currentTriggersSeries.labels[].key.fieldDataType | body | any | — | |
data.currentTriggersSeries.labels[].key.name | body | string | yes | |
data.currentTriggersSeries.labels[].key.signal | body | any | — | |
data.currentTriggersSeries.labels[].key.unit | body | string | — | |
data.currentTriggersSeries.labels[].value | body | object | — | |
data.currentTriggersSeries.values | body | any[] | — | |
data.pastAvgResolutionTime | body | number | — | |
data.pastAvgResolutionTimeSeries | body | o11y.TimeSeries | — | |
data.pastAvgResolutionTimeSeries.labels | body | o11y.Label[] | — | |
data.pastAvgResolutionTimeSeries.labels[].key | body | o11y.TelemetryFieldKey | — | |
data.pastAvgResolutionTimeSeries.labels[].key.description | body | string | — | |
data.pastAvgResolutionTimeSeries.labels[].key.fieldContext | body | any | — | |
data.pastAvgResolutionTimeSeries.labels[].key.fieldDataType | body | any | — | |
data.pastAvgResolutionTimeSeries.labels[].key.name | body | string | yes | |
data.pastAvgResolutionTimeSeries.labels[].key.signal | body | any | — | |
data.pastAvgResolutionTimeSeries.labels[].key.unit | body | string | — | |
data.pastAvgResolutionTimeSeries.labels[].value | body | object | — | |
data.pastAvgResolutionTimeSeries.values | body | any[] | — | |
data.pastTriggersSeries | body | o11y.TimeSeries | — | |
data.pastTriggersSeries.labels | body | o11y.Label[] | — | |
data.pastTriggersSeries.labels[].key | body | o11y.TelemetryFieldKey | — | |
data.pastTriggersSeries.labels[].key.description | body | string | — | |
data.pastTriggersSeries.labels[].key.fieldContext | body | any | — | |
data.pastTriggersSeries.labels[].key.fieldDataType | body | any | — | |
data.pastTriggersSeries.labels[].key.name | body | string | yes | |
data.pastTriggersSeries.labels[].key.signal | body | any | — | |
data.pastTriggersSeries.labels[].key.unit | body | string | — | |
data.pastTriggersSeries.labels[].value | body | object | — | |
data.pastTriggersSeries.values | body | any[] | — | |
data.totalCurrentTriggers | body | integer | — | |
data.totalPastTriggers | body | integer | — | |
status | body | string | — | Status is "success". |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y rules history stats get <id>import { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.getRuleHistoryStats({ id: 'id' });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).get_rule_history_stats(id='id')cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.GetRuleHistoryStats(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::get_rule_history_stats(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).getRuleHistoryStats();curl https://api.hanzo.ai/v1/o11y/rules/<id>/history/stats \
-H "Authorization: Bearer $HANZO_API_KEY"Tool o11y, op GetRuleHistoryStats — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "GetRuleHistoryStats",
"input": {
"id": "<id>"
}
}
}
}'How is this guide?